org.apache.cayenne.remote.hessian.service

## Class HessianService

- java.lang.Object
- - org.apache.cayenne.remote.service.BaseRemoteService
  - - org.apache.cayenne.remote.service.HttpRemoteService
    - - org.apache.cayenne.remote.hessian.service.HessianService

- All Implemented Interfaces:
    Remote, RemoteService

      public class HessianService
      extends HttpRemoteService

  An implementation of RemoteService for work within Caucho Hessian environment.
  Since:
    3.1 the service API is reworked to initialize via Cayenne DI.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `SERVER_SERIALIZER_FACTORIES`

    - ### Fields inherited from class org.apache.cayenne.remote.service.BaseRemoteService

      `contextFactory, eventBridgeFactoryName, eventBridgeParameters, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HessianService(ObjectContextFactory contextFactory, Map<String,String> eventBridgeProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.servlet.http.HttpSession` | `getSession(boolean create)` Returns an HttpSession associated with the current request in progress.

    - ### Methods inherited from class org.apache.cayenne.remote.service.HttpRemoteService

      `createServerSession, createServerSession, getServerSession, getSharedChannel, saveSharedChannel`

    - ### Methods inherited from class org.apache.cayenne.remote.service.BaseRemoteService

      `close, createChannel, createRemoteSession, establishSession, establishSharedSession, getEventBridgeFactoryName, getEventBridgeParameters, initEventBridgeParameters, processMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVER_SERIALIZER_FACTORIES

          public static final String[] SERVER_SERIALIZER_FACTORIES

  - ### Constructor Detail

    - #### HessianService

          public HessianService(ObjectContextFactory contextFactory,
                                Map<String,String> eventBridgeProperties)

      Since:
        3.1

  - ### Method Detail

    - #### getSession

          protected javax.servlet.http.HttpSession getSession(boolean create)

      Description copied from class: `HttpRemoteService`
      Returns an HttpSession associated with the current request in progress.
      Specified by:
        `getSession` in class `HttpRemoteService`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.